Skip to navigation

List predictions

List all predictions and their IDs.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Query parameters

projectintegerOptional
Filter predictions by project ID
taskintegerOptional
Filter predictions by task ID
task__projectintegerOptional

Response

Predictions list
created_agostringRead-onlyDefaults to
Delta time from creation time
created_atdatetimeRead-only
idintegerRead-only
resultlist of objects
List of prediction results for the task
taskinteger
updated_atdatetimeRead-only
clusterinteger or nullOptional-2147483648-2147483647
Cluster for the current prediction
mislabelingdoubleOptional
Related task mislabeling score
modelinteger or nullOptional
An ML Backend instance that created the prediction.
model_runinteger or nullOptional
A run of a ModelVersion that created the prediction.
model_versionstringOptional

Model version - tag for predictions that can be used to filter tasks in Data Manager, as well as select specific model version for showing preannotations in the labeling interface

neighborsany or nullOptional
Array of task IDs of the closest neighbors
projectinteger or nullOptional
scoredouble or nullOptional
Prediction score